@import url('https://fonts.googleapis.com/css2?family=Anton&family=Plus+Jakarta+Sans:ital,wght@0,200..800;1,200..800&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

*{
  margin:0px;
  border:0px;
  padding:0px;
  box-sizing: border-box;
}

:root{
  /* font-sizes */
  --headers:24px;
  --sub-headers:18px;
  --content:16px;
  --sub-content: 14px;
  /* color palette */
  --hover-clr: #5991ff34;
  --active-clr:#3D79F5;

  --color-darkmode: white;
  --bg-color-darkmode:hsl(251, 84%, 5%);
  --big-card-darkmode:hsl(251, 84%, 10%);
  --small-cards-darkmode:hsl(251, 84%, 10%);

}


  
.bodzy{
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  min-height: 100vh;
  min-height: 100dvh;
  display: grid;
  grid-template-columns: auto 1fr;
  font-family: sans-serif,'Poppins';

}

.current-page{
  font-size: var(--sub-headers);
  font-weight: 700;
  margin-bottom: 20px;
}


.product-details{
  margin-bottom: 30px;
  border-radius: 10px;
  padding: 25px 20px;
  border: 0.5px solid hsl(0, 0%, 80%);
  display: flex;
  flex-direction: column;
  p{
    font-size: var(--sub-content);
    font-weight: 600;
    margin-bottom:6px;
  }
}

.work-area  input{
  height: 30px;
  border: 0.5px solid hsl(0, 0%, 70%);
  width: 100%;
  border-radius: 5px;
  margin-bottom: 20px;
  padding: 0 10px;
  font-size: 16px;
}

textarea{
  border: 0.5px solid hsl(0, 0%, 70%);
  width: 100%;
  border-radius: 5px;
  margin-bottom: 20px;
  padding: 0 10px;
  font-size: 16px;
  resize: none;
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  margin-bottom: 20px;
}

.image_video_preview{
  height: 120px;
  width: 100%;
  border: 0.5px solid hsl(0, 0%, 70%);
  display: grid;
  grid-template-rows: 1fr 35px;
}

.input-style{
  display: flex;
  width: 100%;
  justify-content: center;

  >input{
    border: none;
    width: 150px;
    display: none;
  }
}

.input-style label{
  width: 100px;
  height: 25px;
  background-color: hsl(0, 0%, 95%);
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 5px;
  border: 0.2px solid hsl(0,0%,80%);
  font-weight: 500;
  cursor: pointer;
}

.upload-file{
  margin-bottom: 20px;
}

.import-info{
  display: flex;
  border-radius: 10px;
  flex-direction: column;
  border: 0.5px solid hsl(0, 0%,80%);
  padding: 15px 20px;
  margin-bottom: 30px;
  p{
    font-size: var(--content);
    font-weight: 550;
    font-size: 14px;
    margin-bottom: 10px;
  }

  input{
    margin-bottom: 20px;
  }
}

.submit-btn{
  background-color: teal;
  color: white;
  font-size: 18px;
  font-weight: bold;
  width: 240px;
  height: 40px;
  border-radius: 20px;
  transition: all 0.2s ease;
  cursor: pointer;
}

.submit-btn:hover{
  transform: translateY(-2px);
  box-shadow: 0 10px 20px hsl(0, 0%, 70%);
}
.submit-btn:active{
  transform: translateY(0px);
  box-shadow: 0 0 0;
}


.popUp-container{
  display: none;
}
.popUp-container.showEmptyField{
  display: block;
}

.message{
  display: flex;
  width: 100%;
  height: 40px;
  background-color: white;
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  font-size: 1rem;
  display: flex;
  padding: 0 15px;
  align-items: center;
  margin-bottom: 20px;
  border-radius: 5px;
}

.message:last-child{
  margin-bottom: 0px;
}

